# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/5/12
import datetime
import os
import random
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.download import Download
from main.get_feeds import get_feeds
from main.hour_list import HourList


def xiaoniangao_prod_job():
    """
    执行正式环境快手脚本
    """
    while True:
        # 当天下载及上传的视频数：150 条
        if len(Download.download_video_list) >= 100:
            Common.logger().info("已下载视频数：{}".format(len(Download.download_video_list)))
            time.sleep(1800)
        else:
            Common.logger().info("开始抓取小年糕视频")
            time.sleep(1)

            # 获取视频列表
            get_feeds()
            # 下载视频，并上传
            Download.download("prod")
            # 随机睡眠1-3s
            time.sleep(random.randint(1, 3))

        # 删除冗余日志
        Common.del_logs()


def main_prod():
    """
    正式环境主函数
    """
    while True:
        while True:
            main_prod_time = datetime.datetime.now()
            if main_prod_time.hour >= 8:
                xiaoniangao_prod_job()
            else:
                break


def main_hour_list():
    while True:
        HourList.get_hour_list_feeds()
        time.sleep(0.5)
        hour_list_time = datetime.datetime.now()
        if hour_list_time.hour == 10 and 5 >= hour_list_time.minute >= 0:
            Common.logger().info("检查今日上升榜日期是否存在")
            HourList.check_hour_list_data()
            # Common.logger().info("开始清除空行")
            # HourList.del_null_rows()
            Common.logger().info("开始更新上升榜")
            HourList.update_hour_list_data()
        if hour_list_time.hour == 15 and 5 >= hour_list_time.minute >= 0:
            Common.logger().info("检查今日上升榜日期是否存在")
            HourList.check_hour_list_data()
            # Common.logger().info("开始清除空行")
            # HourList.del_null_rows()
            Common.logger().info("开始更新上升榜")
            HourList.update_hour_list_data()
        if hour_list_time.hour == 20 and 5 >= hour_list_time.minute >= 0:
            Common.logger().info("检查今日上升榜日期是否存在")
            HourList.check_hour_list_data()
            # Common.logger().info("开始清除空行")
            # HourList.del_null_rows()
            Common.logger().info("开始更新上升榜")
            HourList.update_hour_list_data()


if __name__ == "__main__":
    # main_prod()
    main_hour_list()
